using System;
using NinjaTrader.Cbi;

internal sealed class Delegate382 : MulticastDelegate
{
	public extern Execution Invoke(object object_0);

	public static Execution smethod_0(object object_0, Delegate382 delegate382_1)
	{
		return delegate382_1(object_0);
	}

	public extern Delegate382(object object_0, IntPtr intptr_0);

	static Delegate382()
	{
		Class10.smethod_13(typeof(Delegate382).TypeHandle);
	}

	internal static Delegate382 delegate382_0;
}
